%define name xmms-kde 
%define version 0.6.5
%define release 4mdk
%define lib_name_orig libxmms-kde
%define lib_major 1
%define lib_name %{lib_name_orig}%{lib_major}

Summary:     XMMS - applet for controlling xmms from the KDE panel.
Name:        %{name} 
Version:     %{version} 
Release:     %{release} 
Source:      %name-%version.tar.bz2
URL:         http://xmms-kde.sourceforge.net
Group:       Sound 
BuildRoot:   %{_tmppath}/%{name}-buildroot 
License:     GPL 
Requires:    xmms kdelibs >= 2.0 libqt2 >= 2.1.1
BuildRequires: libqt2-devel kdelibs-devel

%description
XMMS panel applet for the KDE2 panel (kicker).
It is used to be able to control XMMS without having to switch to the
virtual desktop where XMMS is running.

Email (author): tranqlzer@users.sourceforge.net 

%package -n %{lib_name}
Summary: Xmms-kde libs
Group: System/Libraries

%description -n %{lib_name}
Libraries needed to use xmms-kde.

%package -n %{lib_name}-devel
Summary: Xmms-kde libs development package
Group: Development/C
Requires: %{lib_name} = %{version}-%{release}
Provides: %{lib_name_orig}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release} 

%description -n %{lib_name}-devel
Static libraries and header files to develop with xmms-kde.

%prep 
rm -rf $RPM_BUILD_ROOT 

%setup -q

%build 
%configure 
%make

%install
   make \
	prefix=%{?buildroot:%{buildroot}}%{_prefix} \
	libdir=%{?buildroot:%{buildroot}}%{_libdir} \
	configdir=%{?buildroot:%{buildroot}}%{_datadir}/xmms-kde \
	themedir=%{?buildroot:%{buildroot}}%{_datadir}/xmms-kde/Themes \
	horizontal42themedir=%{?buildroot:%{buildroot}}%{_datadir}/xmms-kde/Themes/horizontal42 \
	vertical42themedir=%{?buildroot:%{buildroot}}%{_datadir}/xmms-kde/Themes/vertical42 \
    install 

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean 
rm -rf $RPM_BUILD_ROOT 

%files -n %{lib_name}
%defattr(-,root,root,0755)
%doc COPYING AUTHORS
%{_libdir}/libxmmskde.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root,0755)
%doc Changelog TODO COPYING AUTHORS INSTALL 
%{_libdir}/libxmmskde.*a
%{_libdir}/libxmmskde.so

%files 
%defattr(-,root,root,0755) 
%doc README COPYING AUTHORS
%{_datadir}/apps/kicker/applets/xmms-kde.desktop
%{_datadir}/xmms-kde

%changelog 
* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.5-4mdk
- rebuild

* Wed Aug 29 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.5-3mdk
- fix

* Fri Aug 24 2001 Etienne Faure <etienne@mandrakesoft.com> 0.6.5-2mdk
- rebuild
- split in two separate packages : xmms-kde and libxmms-kde

* Mon Apr 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.5-1mdk
- updated to 0.6.5

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.6.0-3mdk
- Rebuild against Qt 2.3.0

* Thu Feb 22 2001 David BAUDENS <baudens@mandrakesoft.com> 0.6.0-2mdk
- Rebuild with libmng1

* Thu Jan 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- used srpm from Anders Lund <anders@alweb.dk> 
	- initial mandrake rpm

